# Class Parameters

java.lang.Object
org.jmol.jvxl.readers.Parameters

public class Parameters extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowVolumeRender`
`RadiusData`
`atomRadiusData`
`P3[]`
`boundingBox`
`BS[]`
`bsExcluded`
`BS`
`bsIgnore`
`BS`
`bsSelected`
`BS`
`bsSolvent`
`boolean`
`colorDensity`
`ColorEncoder`
`colorEncoder`
`int`
`colorNeg`
`int`
`colorPos`
`int`
`colorRgb`
`boolean`
`colorSchemeTranslucent`
`ContactPair`
`contactPair`
`short[]`
`contourColixes`
`float[]`
`contoursDiscrete`
`int`
`contourType`
`float`
`cutoff`
`float[]`
`cutoffRange`
`int`
`dataType`
`static final float`
`defaultQMOrbitalCutoff`
`boolean`
`doFullMolecular`
`float`
`extendGrid`
`String`
`fileName`
`Object[]`
`filesData`
`boolean`
`fullyLit`
`Object`
`func`
`Lst<Object>`
`functionInfo`
`boolean`
`iAddGridPoints`
`BS[]`
`intersection`
`static final int`
`IS_SOLVENTTYPE`
`boolean`
`isBicolorMap`
`boolean`
`isContoured`
`boolean`
`isCutoffAbsolute`
`boolean`
`isMapped`
`boolean`
`isModelConnected`
`boolean`
`isPeriodic`
`boolean`
`isPositiveOnly`
`boolean`
`isSilent`
`boolean`
`isSquared`
`boolean`
`isSquaredLinear`
`boolean`
`isXLowToHigh`
`P3`
`mapLattice`
`int`
`mep_calcType`
`static final int`
`MEP_MAX_GRID`
`static final int`
`MO_MAX_GRID`
`Map<String,Object>`
`moData`
`int`
`modelIndex`
`M4`
`modelInvRotation`
`P3`
`origin`
`P3`
`points`
`float`
`pointSize`
`P3[]`
`probes`
`float[]`
`probeValues`
`float`
`propertyDistanceMax`
`int`
`psi_monteCarloCount`
`int`
`randomSeed`
`boolean`
`rangeDefined`
`float`
`resolution`
`SB`
`sbOut`
`float`
`scale3d`
`String`
`script`
`boolean`
`showTiming`
`float`
`sigma`
`Lst<Object[]>`
`slabInfo`
`int`
`state`
`static final int`
`STATE_DATA_COLORED`
`static final int`
`STATE_DATA_READ`
`static final int`
`STATE_INITIALIZED`
`static final int`
`STATE_UNINITIALIZED`
`P3`
`steps`
`static final int`
`SURFACE_LONEPAIR`
`static final int`
`SURFACE_RADICAL`
`BS`
`surfaceAtoms`
`int`
`testFlags`
`P4`
`thePlane`
`String[]`
`title`
`boolean`
`usePropertyForColorRange`
`int[]`
`vertexSource`
`VolumeData`
`volumeData`

## Constructor Summary

Constructors
Constructor
Description
`Parameters()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSlabInfo(Object[] slabObject)`
`boolean`
`isFullyLit()`
`boolean`
`isInsideOut()`
`void`
`resetForMapping(boolean haveSurface)`
reset some parameters at the "MAP" keyword or initially
`void`
`setEllipsoidAF(float[] bList)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STATE_UNINITIALIZED

public static final int STATE_UNINITIALIZED

See Also:
  - Constant Field Values

### STATE_INITIALIZED

public static final int STATE_INITIALIZED

See Also:
  - Constant Field Values

### STATE_DATA_READ

public static final int STATE_DATA_READ

See Also:
  - Constant Field Values

### STATE_DATA_COLORED

public static final int STATE_DATA_COLORED

See Also:
  - Constant Field Values

### state

public int state

### testFlags

public int testFlags

### isSilent

public boolean isSilent

### IS_SOLVENTTYPE

public static final int IS_SOLVENTTYPE

See Also:
  - Constant Field Values

### dataType

public int dataType

### SURFACE_LONEPAIR

public static final int SURFACE_LONEPAIR

See Also:
  - Constant Field Values

### SURFACE_RADICAL

public static final int SURFACE_RADICAL

See Also:
  - Constant Field Values

### atomRadiusData

public RadiusData atomRadiusData

### slabInfo

public Lst<Object[]> slabInfo

### defaultQMOrbitalCutoff

public static final float defaultQMOrbitalCutoff

See Also:
  - Constant Field Values

### colorRgb

public int colorRgb

### colorNeg

public int colorNeg

### colorPos

public int colorPos

### colorDensity

public boolean colorDensity

### iAddGridPoints

public boolean iAddGridPoints

### scale3d

public float scale3d

### functionInfo

public Lst<Object> functionInfo

### psi_monteCarloCount

public int psi_monteCarloCount

### MEP_MAX_GRID

public static final int MEP_MAX_GRID

See Also:
  - Constant Field Values

### mep_calcType

public int mep_calcType

### moData

public Map<String,Object> moData

### MO_MAX_GRID

public static final int MO_MAX_GRID

See Also:
  - Constant Field Values

### allowVolumeRender

public boolean allowVolumeRender

### script

public String script

### bsSelected

public BS bsSelected

### bsIgnore

public BS bsIgnore

### bsSolvent

public BS bsSolvent

### func

public Object func

### title

public String[] title

### fileName

public String fileName

### modelIndex

public int modelIndex

### modelInvRotation

public M4 modelInvRotation

### isXLowToHigh

public boolean isXLowToHigh

### cutoff

public float cutoff

### cutoffRange

public float[] cutoffRange

### sigma

public float sigma

### isCutoffAbsolute

public boolean isCutoffAbsolute

### isPositiveOnly

public boolean isPositiveOnly

### rangeDefined

public boolean rangeDefined

### isBicolorMap

public boolean isBicolorMap

### isSquared

public boolean isSquared

### isSquaredLinear

public boolean isSquaredLinear

### thePlane

public P4 thePlane

### isContoured

public boolean isContoured

### resolution

public float resolution

### contoursDiscrete

public float[] contoursDiscrete

### contourColixes

public short[] contourColixes

### boundingBox

public P3[] boundingBox

### bsExcluded

public BS[] bsExcluded

### contourType

public int contourType

### colorSchemeTranslucent

public boolean colorSchemeTranslucent

### colorEncoder

public ColorEncoder colorEncoder

### usePropertyForColorRange

public boolean usePropertyForColorRange

### isPeriodic

public boolean isPeriodic

### doFullMolecular

public boolean doFullMolecular

### propertyDistanceMax

public float propertyDistanceMax

### randomSeed

public int randomSeed

### fullyLit

public boolean fullyLit

### vertexSource

public int[] vertexSource

### intersection

public BS[] intersection

### origin

public P3 origin

### steps

public P3 steps

### points

public P3 points

### volumeData

public VolumeData volumeData

### contactPair

public ContactPair contactPair

### mapLattice

public P3 mapLattice

### extendGrid

public float extendGrid

### isMapped

public boolean isMapped

### showTiming

public boolean showTiming

### pointSize

public float pointSize

### probes

public P3[] probes

### isModelConnected

public boolean isModelConnected

### surfaceAtoms

public BS surfaceAtoms

### filesData

public Object[] filesData

### probeValues

public float[] probeValues

### sbOut

public SB sbOut

## Constructor Details

### Parameters

public Parameters()

## Method Details

### resetForMapping

public void resetForMapping(boolean haveSurface)
reset some parameters at the "MAP" keyword or initially

Parameters:
  `haveSurface` -

### setEllipsoidAF

public void setEllipsoidAF(float[] bList)

### addSlabInfo

public void addSlabInfo(Object[] slabObject)

### isInsideOut

public boolean isInsideOut()

### isFullyLit

public boolean isFullyLit()